/*
Theme Name: Cloudylab Default Blog
Theme URI: http://dummy.com
Description: Default Blog is a child theme of starter-woo
Author: Cloudylab
Author URI: https://cloudylab.co.uk
Template: starter-woo
Version: 1.0.0
Text Domain: defaultblog
*/

@import url("https://fonts.googleapis.com/css2?family=Fraunces:wght@300;400&display=swap");

/* COLOURS */

.cultured {
  color: #f3f3f3;
}
.platinum {
  color: #ebebeb;
}
.gainsboro {
  color: #e0e0e0;
}
.bdazzled-blue {
  color: #345995;
}
.eery-black {
  color: #191a1c;
}
.moss-green {
  color: #41612e;
}

body {
  font-family: "Fraunces", sans-serif;
  background-color: #f3f3f3;
  color: #191a1c;
  background-image: url(http://blog.cloudylab.co.uk/wp-content/uploads/sites/17/2021/01/scribbles.png);
  background-repeat: no-repeat;
}

h1,
h2,
h3 {
  font-weight: 300;
}
p {
  line-height: 1.5rem;
}
a,
a:visited {
  color: #41612e;
  text-decoration: none;
}
a:hover {
  text-decoration: underline;
}
/* header */

.site-header {
  padding-top: 2rem;
}
.site-title {
  font-size: 3rem;
}
.nav-menu {
  display: flex;
  justify-content: center;
}
.nav-menu li {
  padding: 2rem 1rem;
}
.nav-menu li a,
.nav-menu li a:visited {
  text-decoration: none;
  color: #191a1c;
}
.nav-menu li a:hover {
  text-decoration: none;
  color: #41612e;
}
/* page styles */

.site-content {
  min-height: 100vh;
}
/* blog styles */

.title {
  margin: 3rem auto 1rem;
  text-align: center;
  display: flex;
  flex-direction: column-reverse;
}
.title h2 {
  font-size: 2rem;
  font-weight: bold;
}
.title h3 {
  font-size: 0.8rem;
  font-weight: normal;
}
.entries {
  flex-wrap: wrap;
}
.entry-wrapper {
  flex-basis: calc(33.33333% - 2rem);
  padding: 1rem;
  margin: 1rem;
  background-color: white;
  border-radius: 1px;
}

.entry-wrapper a,
.entry-wrapper-sm a {
  text-decoration: none;
  color: unset;
}
.entry-wrapper .attachment-post-thumbnail,
.single-entry-posts .attachment-post-thumbnail {
  height: 33vw;
  object-fit: cover;
  object-position: top center;
  border-radius: 4px;
  opacity: 1;
  -moz-transition: opacity 0.2s ease;
  -o-transition: opacity 0.2s ease;
  -webkit-transition: opacity 0.2s ease;
  transition: opacity 0.2s ease;
}
.single-entry-posts .attachment-post-thumbnail {
  height: 20vw;
}
.entry-wrapper a.flex {
  flex-direction: column;
}

.entry-wrapper:hover .attachment-post-thumbnail,
.entry-wrapper-sm:hover .attachment-post-thumbnail {
  opacity: 0.5;
}

.entry-wrapper a span p {
  color: #6e6e6e;
}
.entry-text {
  flex-wrap: wrap;
  padding: 1rem;
}
.datetime {
  order: 1;
  font-family: sans-serif;
  color: #6e6e6e;
  padding-bottom: 0.5rem;
  flex-basis: 100%;
}
.entry-category {
  order: 2;
  padding-right: 0.5rem;
  text-transform: uppercase;
  font-size: 0.8rem;
  color: #191a1c;
  flex-grow: 0;
}
.entry-title {
  color: #191a1c;
  order: 3;
  padding: 1rem 0;
}

.entry-excerpt {
  color: #6e6e6e;
  order: 4;
}
.entry-wrapper .entry-text .entry-title,
.entry-wrapper .entry-text .datetime,
.entry-wrapper .entry-text .entry-excerpt {
  flex-basis: 100%;
  width: 100%;
}
article.entry-wrapper:nth-child(4n+1){
  flex-basis: 100%;
  width: 100%;
}
article.entry-wrapper:nth-child(4n+1) .flex {
  flex-direction: row;
}
article.entry-wrapper:nth-child(4n+1) .attachment-post-thumbnail{
  width: 50%;
  flex-basis: 50%;
  margin-right: 1rem;
}
article.entry-wrapper:nth-child(4n+1) .entry-text {
  width: 50%;
  flex-basis: 50%;
  flex-wrap: wrap;
  align-content: flex-end;
}
.arrow-icon {
  width: 100%;
  height: 10px;
  line-height: 10px;
  order: 5;
  text-align: right;
}
.arrow-icon .read-more {
  stroke: #191a1c;
  width: 1rem;
  height: 10px;
  scale: 1;
  transition: 0.5s all ease-in-out;
}
article:hover .arrow-icon .read-more {
  transform: scaleX(1.5);
}
.single-entry {
  max-width: 775px;
  margin: 0 auto;
  background-color: white;
  padding: 1rem;
  border-radius: 1px;
  display: flex;
  flex-direction: column;
}
.single-entry .attachment-post-thumbnail {
  border-radius: 4px;
  order: 1;
}
.single-entry .post-categories {
  order: 2;
  display: flex;
  margin-top: 2rem;
}
.single-entry .post-categories li {
  padding-right: 0.5rem;
}
.single-entry .entry-title {
  padding: 0.5rem 0 2rem;
  order: 3;
}
.single-entry .entry-content {
  order: 4;
}
.single-entry p {
  margin-bottom: 1rem;
  font-size: 1.2rem;
}
.single-entry-posts {
  max-width: 775px;
  margin: 0 auto;
  justify-content: space-between;
}
.single-entry-posts article.entry-wrapper-sm {
  flex-basis: calc(33.33333% - 1rem);
  padding: 1rem;
  margin: 1rem 0;
  background-color: white;
  border-radius: 1px;
  flex-direction: column;
}

.single-entry-posts .entry-text {
  flex-grow: 1;
}
.single-entry-posts .entry-title {
  flex-grow: 0;
}
.single-entry-posts .arrow-icon {
  flex-grow: 1;
  align-self: flex-end;
}

.single-post .post-navigation {
  margin: 2rem 1rem;
  order: 5;
}
.single-post .nav-links {
  display: flex;
}
.single-post .nav-next {
  text-align: right;
  margin-left: 33.3333%;
}
.archive-header {
  padding: 0 1rem;
}

/** CAROUSEL **/

.glide-blog {
  position: relative;
}

a.glide__slide {
  text-decoration: none;
  cursor: pointer;
}

.glide__slide .entry-title {
  flex-grow: 1;
  font-size: 1.5rem;
  padding: 0;
}
.glide__slide .entry-category {
  padding: 0.5rem 0 0;
}
.glide__slide .arrow-icon {
  height: 20px;
  line-height: 15px;
}
.glide__slide {
  padding: 1rem;
  margin: 1rem 0;
  background-color: white;
  border-radius: 1px;
  display: flex;
  flex-direction: column;
  text-decoration: none;
}
.glide__slide img {
  object-fit: cover;
  object-position: top center;
  height: 20vw;
  border-radius: 4px;
  opacity: 1;
  -moz-transition: opacity 0.2s ease;
  -o-transition: opacity 0.2s ease;
  -webkit-transition: opacity 0.2s ease;
  transition: opacity 0.2s ease;
}

.glide__slide:hover img {
  opacity: 0.5;
}
.glide__slide:hover .arrow-icon .read-more {
  transform: scaleX(1.5);
}
.glide__arrow {
  background: none;
  border: none;
}
button.glide__arrow img {
  height: 30px;
}

.glide__arrows {
  position: absolute;
  top: calc(50% - 50px);
  display: flex;
  justify-content: space-between;
  left: -55px;
  right: -55px;
  z-index: 0;
}
.glide__track {
  z-index: 1;
  position: relative;
}
.glide__bullets {
  display: none;
}
/* FOOTER */

.site-footer {
  justify-content: center;
  background-color: #ebebeb;
}

@media (max-width: 900px) {
  .container {
    padding: 1rem;
  }
  .site-header {
    padding-top: 0;
  }
  .site-title {
    font-size: 1.5rem;
    text-align: left;
    padding-left: 1rem;
    font-weight: normal;
    padding-top: calc(1rem + 6px);
  }
  .menu {
    background-color: #e0e0e0;
    transition: all 0.5s cubic-bezier(0.4, -0.24, 0.25, 1);
  }

  .nav-menu .page_item a,
  .nav-menu .menu-item a,
  .nav-menu .page_item a,
  .nav-menu .menu-item a {
    color: #191a1c;
    font-size: 1rem;
    letter-spacing: 0.2rem;
  }
  .menu-toggle span {
    height: 2px;
    background: #191a1c;
  }
  article.entry-wrapper {
    flex-basis: 100%;
    width: 100%;
  }
  article.entry-wrapper:nth-child(4n+1) .flex{
    flex-direction: column;
  }
 article.entry-wrapper:nth-child(4n+1) .attachment-post-thumbnail {
    flex-basis: 100%;
    width: 100%;
    margin-right: 0;
  }
  article.entry-wrapper:nth-child(4n+1) .entry-text {
    flex-basis: 100%;
    width: 100%;
    flex-wrap: wrap;
  }
  .entry-wrapper .attachment-post-thumbnail,
  .single-entry-posts .attachment-post-thumbnail,
  article.entry-wrapper:nth-child(4n+1) .attachment-post-thumbnail {
    height: calc(100vw - 4rem);
  }
  /** CAROUSEL **/
  .glide__arrows {
    display: none;
  }
  .glide__bullets {
    display: block;
    text-align: center;
    margin-top: 1rem;
  }
  button.glide__bullet {
    display: inline-block;
    height: 15px;
    width: 15px;
    margin: 1rem 5px;
    border-radius: 50%;
    border: 0;
    padding: 0;
    background-color: #41612e93;
  }
  button.glide__bullet.glide__bullet--active {
    background-color: #41612e;
  }
  .glide__slide img {
    height: calc(50vw - 2rem);
  }
  .woocommerce ul.products.glide__slides {
    flex-wrap: unset;
  }
}
